A new version of OpenGammaSpec is available on sourceForge.net. The file Gamma.tar.bz2 is the Linux version, the file Gamma.zip is the Windows version. The version number is v08.2.9. Users of the Linux version can use the attached bash script upgradeGamma.sh. Note: If a folder named 'Gamma' still exists in the 'Downloads' directory, it should be moved or deleted.
The new version contains several bug fixes as well as an improved and expanded calculation of the cross-sections and the total absorption coefficient for compounds and mixtures.
Here is the scrip upgradeGamma.sh:
#!/bin/bash
# Define paths
ORIGIN="$HOME/Downloads/Gamma.tar.bz2"
ORIGIN_DIR="$HOME/Downloads/"
SOURCE="$HOME/Downloads/Gamma/"
DEST="$HOME/Gamma/"
# Check OS
if [[ "$(uname -s)" != "Linux" ]]; then
echo "This script works with Linux only." >&2
exit 1
fi
echo "Linux OS detected." >&2
# Check file
if [ ! -e "$ORIGIN" ]; then
echo "Error: File $ORIGIN does not exist." >&2
exit 1
fi
echo "File $ORIGIN exists, extracting, please wait" >&2
cd $ORIGIN_DIR
tar -xjf $ORIGIN
echo "file $ORIGIN extracted " >&2
# Check source directory
if [ ! -d "$SOURCE" ]; then
echo "Error: Source directory $SOURCE does not exist." >&2
exit 1
fi
echo "Source directory $SOURCE exist ." >&2
# Check if rsync is installed
if ! command -v rsync &> /dev/null; then
echo "Error: rsync is not installed. Please install rsync (e.g., with 'sudo apt install rsync')." >&2
exit 1
fi
echo "rsync is installed" >&2
# Check destination directory
if [ ! -d "$DEST" ]; then
echo "Error: Destination directory $SOURCE does not exist." >&2
exit 1
fi
echo "Destination directory $SOURCE found." >&2
# Copy operation with rsync
# -a = archive mode (recursive, preserves permissions, times, etc.)
# -v = verbose output (shows copied files)
# -u = update only if source file is newer than destination file (or destination missing)
# --exclude='ini.csv' = excludes all files named 'ini.csv' (regardless of subfolder)
rsync -avu --exclude='ini.csv' "$SOURCE" "$DEST"
echo "Copy completed." >&2
cd $DEST
# make the start script executable
chmod +x startGamma.sh
echo "OpenGammaSpec is now upgradet" >&2
New Version of OpenGammaSpec for Linux and Windows
-
GeoFreelancer
- Posts: 8
- Joined: 15 Mar 2026, 22:27
- Contact:
Who is online
Users browsing this forum: Bing [Bot] and 26 guests